首页天道酬勤pycharm清华镜像,anaconda升级python

pycharm清华镜像,anaconda升级python

张世龙 05-12 06:59 120次浏览

文章目录为anaconda3YOLO开发创建环境下载YOLO权重文件darkflow下载darkflow下载YOLO权重文件测试一些错误和解决

anaconda3为YOLO开发创造环境

首选项:

anaconda3python 3.6 darkflowtensorflow 14.0 py charm

使用CPU版本的tensor流

进入anaconda prompt创建虚拟环境

#这里我创建的虚拟环境的名称是YOLO3-CPU-TensorFlow1,使用的python是3.6版conda create-n yolo3- CPU-tensor flow1python=3.6 #

当condaactivateyolo3- CPU-tensor flow 1进入时,在此环境中安装依赖软件包

(Tensorflow、cython、pillow )

未安装pipinstalltensorflow==14.0 # tensor flow 2是为了考虑与darkflow的兼容性。 #否则,在后续使用中会发生错误。 modulenotfounderror 3360 nomodulenamed ' tensor flow.tensor flow。

进入python环境

不将importtensorflowastftf._ _ version _ _ tensor flow安装完成报告为错误

安装其他依赖软件包

pipinstallopencv-python==4.4.0. 44 pipinstallpillowpipinstallcython #自己选择其他所需的软件包……此环境完成后,在pycharm上使用该环境作为自己的专业人员详细结构请参考我的另一篇文章

下载YOLO权重文件darkflow下载darkflow源文件地址: darkflow

编译:解压缩后进入包含此darkflow的文件夹,在此文件夹下打开cmd,然后输入命令

python setup.py build _ ext--在放置中完成darkflow的编译

YOLO权重文件下载YOLO官网

下载后,还可以在“darkflow-master”文件夹下创建一个名为zgdxss的新文件夹,以包含权重文件

也可以在darkflow-master文件夹下创建新的zgdxss文件夹,然后在该文件夹下进入powershell

输入

YOLOv2权重文件wget https://pj reddie.com/media/files/yolo v2.weights-o.\ 下载的yoloV2.weights#yoloV3权重文件wget https://pj reddie.com/media/files/yolo v3.weights-o.\ yoloV3.weights#yoloV3-Tiny权重文件wget https://pj reddie.com/media/files/yolo v3-tiny.weights-o.\ yolo v3-tiny

然后,将您需要识别的视频放在darkflow-master文件夹下,我将在此识别的视频命名为test

测试在darkflow文件夹下打开cmd,然后输入命令

#这里是YOLO2的权重python flow---model CFG/yolo.CFG---loadzgdxss/yolo v2.weights---demo test.MP4-- save viviss

不仅发生了一些错误,以及在实际使用时发生了第一个版本的不兼容性错误,而且在最后一次使用darkflow时发生了错误。

浏览modulenotfounderror : nomodulenamed ' dark flow.cy thon _ utils.cy _ yolo _ find boxes ' dark flow官方文档后找到解决方案

全局安装暗流

即,darkflow文件夹下

pip install -e .现在所有的准备都完成了

python为什么要设置环境变量,Python的安装及环境变量配置 python安装说明,python编程环境安装